"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// cookie读取，利用了正则表达式可以解析到 name 对应的值。
var cookie = {
    read: function (name) {
        var match = document.cookie.match(new RegExp('(^|;\\s*)(' + name + ')=([^;]*)'));
        return match ? decodeURIComponent(match[3]) : null;
    }
};
exports.default = cookie;
//# sourceMappingURL=cookie.js.map