"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.createError = exports.AxiosError = void 0;
var AxiosError = /** @class */ (function (_super) {
    __extends(AxiosError, _super);
    function AxiosError(message, config, code, request, response) {
        var _this = 
        // message是父类Error身上的属性
        _super.call(this, message) || this;
        _this.config = config;
        _this.isAxiosError = true;
        _this.code = code;
        _this.request = request;
        _this.response = response;
        // 这是为了解决ts在继承一些内置对象时会出现bug ，无法访问原型链上的属性和方法，需要指定实例对象的原型为AxiosError.prototype
        Object.setPrototypeOf(_this, AxiosError.prototype);
        return _this;
    }
    return AxiosError;
}(Error));
exports.AxiosError = AxiosError;
// 为了方便使用，对外暴露一个createError的工厂方法
function createError(message, config, code, request, response) {
    var error = new AxiosError(message, config, code, request, response);
    return error;
}
exports.createError = createError;
//# sourceMappingURL=error.js.map